Bug 207442 - Cannot start eclipse using Fedora Core 6 Test 3
Cannot start eclipse using Fedora Core 6 Test 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 00:36 EDT by Rusty Clark
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 14:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
workspace/.metadata/.log (448 bytes, text/plain)
2006-09-21 22:38 EDT, Rusty Clark
no flags Details
workspace/.metadata/.log (1.95 KB, text/plain)
2006-09-21 22:53 EDT, Rusty Clark
no flags Details
eclipse.png (459.55 KB, image/png)
2006-09-22 02:17 EDT, Rusty Clark
no flags Details
not a fix... but on a machine with eclipse-sdk installed yes it helps. (4.27 KB, text/plain)
2006-10-05 16:11 EDT, das_deniz
no flags Details

  None (edit)
Description Rusty Clark 2006-09-21 00:36:49 EDT
Description of problem:
Cannot start eclipse using Fedora Core Test 3.

Version-Release number of selected component (if applicable):
eclipse-platform-3.2.0-6.fc6

How reproducible:
Always

Steps to Reproduce:
1.  Try and start eclipse
2.
3.
  
Actual results:
Command-line arguments:  -os linux -ws gtk -arch x86

!ENTRY org.eclipse.osgi 2 1 2006-09-20 21:28:03.742
!MESSAGE NLS missing message: fileInitializer_missingFileName in:
org.eclipse.core.internal.runtime.messages

!ENTRY org.eclipse.core.runtime 2006-09-20 21:28:03.781
!MESSAGE Product org.eclipse.sdk.ide could not be found.

!ENTRY org.eclipse.osgi 4 0 2006-09-20 21:28:03.807
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
   at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(org.eclipse.core.runtime_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(org.eclipse.osgi_3.2.0.v20060601.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(org.eclipse.osgi_3.2.0.v20060601.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.0.v20060601.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.0.v20060601.jar.so)
   at java.lang.reflect.Method.invoke(libgcj.so.7rh)
   at org.eclipse.core.launcher.Main.invokeFramework(startup.jar.so)
   at org.eclipse.core.launcher.Main.basicRun(startup.jar.so)
   at org.eclipse.core.launcher.Main.run(startup.jar.so)
   at org.eclipse.core.launcher.Main.main(startup.jar.so)

!ENTRY org.eclipse.osgi 2 0 2006-09-20 21:28:04.097
!MESSAGE One or more bundles are not resolved because the following root
constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-09-20 21:28:04.098
!MESSAGE Bundle update@plugins/com.redhat.eclipse.changelog.core_2.2.3/ was not
resolved.
!SUBENTRY 2 com.redhat.eclipse.changelog.core 2 0 2006-09-20 21:28:04.098
!MESSAGE Missing required bundle org.eclipse.jdt.ui_0.0.0.

!ENTRY org.eclipse.osgi 2 0 2006-09-20 21:28:04.098
!MESSAGE The following is a complete list of bundles which are not resolved, see
the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2006-09-20 21:28:04.099
!MESSAGE Bundle update@plugins/com.redhat.eclipse.changelog.core_2.2.3/ [115]
was not resolved.
!SUBENTRY 2 com.redhat.eclipse.changelog.core 2 0 2006-09-20 21:28:04.099
!MESSAGE Missing required bundle org.eclipse.jdt.ui_0.0.0.
!SUBENTRY 2 com.redhat.eclipse.changelog.core 2 0 2006-09-20 21:28:04.099
!MESSAGE Missing optionally required bundle org.eclipse.cdt.ui_0.0.0.
!SUBENTRY 2 com.redhat.eclipse.changelog.core 2 0 2006-09-20 21:28:04.099
!MESSAGE Missing optionally required bundle org.eclipse.cdt.core_0.0.0.

Expected results:
Eclipse Starts normally

Additional info:
Comment 1 das_deniz 2006-09-21 07:58:27 EDT
also cannot start eclipse from Applications -> Programming -> Eclipse
on fc6 t3 with all updates as of 21-SEP 8am EDT

!SESSION 2006-09-21 07:54:24.576 -----------------------------------------------
eclipse.buildId=M20060629-1905
java.fullversion=GNU libgcj 4.1.1 20060917 (Red Hat 4.1.1-23)
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86

!ENTRY org.eclipse.osgi 2 1 2006-09-21 07:54:35.471
!MESSAGE NLS missing message: fileInitializer_missingFileName in:
org.eclipse.core.internal.runtime.messages

!ENTRY org.eclipse.core.runtime 2006-09-21 07:54:35.660
!MESSAGE Product org.eclipse.sdk.ide could not be found.

!ENTRY org.eclipse.osgi 4 0 2006-09-21 07:54:35.786
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
   at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(org.eclipse.core.runtime_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(org.eclipse.osgi_3.2.0.v20060601.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(org.eclipse.osgi_3.2.0.v20060601.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.0.v20060601.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.0.v20060601.jar.so)
   at java.lang.reflect.Method.invoke(libgcj.so.7rh)
   at org.eclipse.core.launcher.Main.invokeFramework(startup.jar.so)
   at org.eclipse.core.launcher.Main.basicRun(startup.jar.so)
   at org.eclipse.core.launcher.Main.run(startup.jar.so)
   at org.eclipse.core.launcher.Main.main(startup.jar.so)
Comment 2 Ben Konrath 2006-09-21 10:30:19 EDT
Can you send me the output of this little shell snippet?:

for p in $(rpm -qa | grep eclipse) libswt3-gtk2; do
echo $p
rpm -V $p
done
Comment 3 Ben Konrath 2006-09-21 10:58:08 EDT
Ok, I think I know what's going on here. Installing the eclipse-sdk package
should fix this for now. I'll make a new release later today.
Comment 4 Patrick 2006-09-21 11:16:57 EDT
Installing eclipse-sdk solves the problem for me.
Comment 5 Rusty Clark 2006-09-21 22:38:11 EDT
Created attachment 136924 [details]
workspace/.metadata/.log
Comment 6 Rusty Clark 2006-09-21 22:43:50 EDT
Comment on attachment 136924 [details]
workspace/.metadata/.log

After installing eclipse-sdk it still will not start.  Attached is the
workspace/.metadata/.log.
Comment 7 Rusty Clark 2006-09-21 22:53:12 EDT
Created attachment 136925 [details]
workspace/.metadata/.log

With eclipse-changelog installed I get the same errors as Bug 207442.
Comment 8 Rusty Clark 2006-09-21 22:56:21 EDT
Comment on attachment 136925 [details]
workspace/.metadata/.log

With eclipse-changelog installed I get the same errors as Bug 207537.
Comment 9 Ben Konrath 2006-09-21 23:05:39 EDT
(In reply to comment #8)
> (From update of attachment 136925 [details] [edit])
> With eclipse-changelog installed I get the same errors as Bug 207537.

This is not the same error as bug # 207537. I don't actually see any error in
the four log files that you attached that would indicate that Eclipse is not
working.

Comment 10 Rusty Clark 2006-09-22 02:17:33 EDT
Created attachment 136931 [details]
eclipse.png

Here is a screenshot of the error I get and where Eclipse stops from starting.
Comment 11 Ben Konrath 2006-09-22 10:36:49 EDT
(In reply to comment #10)
> Here is a screenshot of the error I get and where Eclipse stops from starting.

The screenshot doesn't give me enough information to determine what the problem
is. The log files are what we need.

Comment 12 Rusty Clark 2006-09-28 00:34:19 EDT
Works now with the latest version from rawhide.
Comment 13 Ben Konrath 2006-10-02 12:23:20 EDT
(In reply to comment #12)
> Works now with the latest version from rawhide.

Ok, thanks. Closing bug.
Comment 14 das_deniz 2006-10-04 07:05:10 EDT
and broken again with YUM update for FC6T3 as of OCT 3 700 AM EDT

eclipse-changelog-2.3.2-1.fc6
eclipse-subclipse-book-1.1.5-2.fc6
eclipse-ecj-3.2.1-4.fc6
eclipse-platform-3.2.1-4.fc6
eclipse-cdt-sdk-3.1.1-1.fc6
eclipse-subclipse-1.1.5-2.fc6
eclipse-gef-3.2.0-2
eclipse-rcp-3.2.1-4.fc6
eclipse-jdt-3.2.1-4.fc6
eclipse-cdt-3.1.1-1.fc6
eclipse-bugzilla-0.2.4-3.fc6
Comment 15 das_deniz 2006-10-04 07:10:55 EDT
verifying eclipse pkgs and libswt3-gtk2 the only things of note are:

eclipse-platform-3.2.1-4.fc6
prelink: /usr/lib/eclipse/eclipse: at least one of file's dependencies has
changed since prelinking
S.?.....   /usr/lib/eclipse/eclipse

and

eclipse-rcp-3.2.1-4.fc6
.......T   /usr/share/eclipse/configuration/config.ini
missing     /usr/share/eclipse/configuration/org.eclipse.update/platform.xml
.......T   /usr/share/eclipse/epl-v10.html
.......T   /usr/share/eclipse/notice.html
Comment 16 Ben Konrath 2006-10-04 10:08:11 EDT
Can you send me the output of this:

grep eclipse.product /usr/share/eclipse/configuration/config.ini
Comment 17 das_deniz 2006-10-04 13:58:37 EDT
grep eclipse.product /usr/share/eclipse/configuration/config.ini
#eclipse.product=
# the identified eclipse.product defines the default application to run.
Comment 18 Ben Konrath 2006-10-04 14:04:00 EDT
Ok, just replace "#eclipse.product=" with "eclipse.product=org.eclipse.sdk.ide"
in /usr/share/eclipse/configuration/config.ini and you should be ok. 

There was a problem with the %postun of a previous version of the 3.2.0 packages
which affects upgrading from rawhide. This is fixed now. Please close the bug if
you're problem is fixed by that edit. Thanks.
Comment 19 Andrew Overholt 2006-10-05 16:01:05 EDT
Does Ben's proposed fix work for you?
Comment 20 das_deniz 2006-10-05 16:11:13 EDT
Created attachment 137853 [details]
not a fix... but on a machine with eclipse-sdk installed yes it helps.

so necessary but not sufficient to fix.
before on a machine with eclipse-sdk it was failing - now that works
but on a machine w/o eclipse-sdk this is *not* a fix.
Comment 21 Ben Konrath 2006-10-05 17:22:48 EDT
(In reply to comment #20)
> so necessary but not sufficient to fix.
> before on a machine with eclipse-sdk it was failing - now that works
> but on a machine w/o eclipse-sdk this is *not* a fix.

If eclipse-sdk is not is installed then eclipse.product should be set to
org.eclipse.platform.ide in /usr/share/eclipse/configuration/config.ini. Does
this work for you?
Comment 22 das_deniz 2006-10-05 23:10:22 EDT
hummm, i was wondering about that - but i had listed the comonents and versions
installed and had no idea what to set it to w/o 'sdk' in the string.

so finally, on a third machine that i still had not installed eclipse-sdk on
this last modification is a fix.

thank you very much.
Comment 23 Andrew Overholt 2006-10-06 14:44:37 EDT
(In reply to comment #22) 
> so finally, on a third machine that i still had not installed eclipse-sdk on
> this last modification is a fix.
> 
> thank you very much.

Thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.